Skip to navigation

Get OligoConjugateSchema by ID

Beta
Get a single OligoConjugateSchema by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

oligo_conjugate_schema_idstringRequired
ID of the OligoConjugateSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
availableRegistrationNamingOptionslist of enumsOptional
constraintobject or nullOptional

Defines uniqueness requirements for entities within a schema. Constraints ensure that registered entities have unique values across specified fields (see fieldDefinitionNames) or unique domain-specific properties (see TypeSpecificConstraint). The hasUniqueResidues field is a legacy indicator for sequence uniqueness.

containableTypeenumOptional
Allowed values:
containerNameTemplateobject or nullOptional
A name template for containers.
createdAtstring or nullOptional
descriptionstringOptional
fieldDefinitionsstringOptionalformat: "uri"
fieldsetsstringOptionalformat: "uri"
iconIdenumOptional
idstringOptional
includeRegistryIdInChipsbooleanOptional
itemIdPrefixstringOptional
modifiedAtstringOptional
namestringOptional
nameTemplateobject or nullOptional
A name template for entities.
organizationobjectOptional
systemCategorieslist of objectsOptional
systemNamestringOptional
useRegistryIdForItemDisplayLabelbooleanOptional
validationRulesstringOptionalformat: "uri"

Errors

400
Oligo Conjugate Schema Get Request Bad Request Error
403
Oligo Conjugate Schema Get Request Forbidden Error
404
Oligo Conjugate Schema Get Request Not Found Error
429
Oligo Conjugate Schema Get Request Too Many Requests Error
500
Oligo Conjugate Schema Get Request Internal Server Error